> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ia-reframe-draft.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List the scopes bound to an access profile, one page at a time.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/xaa/access_profiles/{access_profile_id}/scope_bindings:
    get:
      tags:
        - Cross-App Access
      summary: List
      description: List the scopes bound to an access profile, one page at a time.
      operationId: c1.api.cross_app_access.v1.XAAAccessProfileScopeBindingService.List
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The application that owns the resource server.
            type: string
        - in: path
          name: access_profile_id
          required: true
          schema:
            description: The access profile to list bindings for.
            type: string
        - in: query
          name: page_size
          schema:
            description: Page size (max 100).
            format: int32
            type: integer
        - in: query
          name: page_token
          schema:
            description: Page token for pagination.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.cross_app_access.v1.XAAAccessProfileScopeBindingServiceListResponse
          description: >-
            XAAAccessProfileScopeBindingServiceListResponse returns scope
            bindings.
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.XAAAccessProfileScopeBinding.List(ctx, operations.C1APICrossAppAccessV1XAAAccessProfileScopeBindingServiceListRequest{\n        AccessProfileID: \"<id>\",\n        AppID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.XAAAccessProfileScopeBindingServiceListResponse != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    c1.api.cross_app_access.v1.XAAAccessProfileScopeBindingServiceListResponse:
      description: XAAAccessProfileScopeBindingServiceListResponse returns scope bindings.
      properties:
        bindings:
          description: The page of scope bindings.
          items:
            $ref: >-
              #/components/schemas/c1.api.cross_app_access.v1.XAAAccessProfileScopeBinding
          type:
            - array
            - 'null'
        nextPageToken:
          description: Token for the next page, or empty if there are no more results.
          type: string
      title: Xaa Access Profile Scope Binding Service List Response
      type: object
      x-speakeasy-name-override: XAAAccessProfileScopeBindingServiceListResponse
    c1.api.cross_app_access.v1.XAAAccessProfileScopeBinding:
      description: >-
        XAAAccessProfileScopeBinding is a binding between an access profile and
        a
         scope. Both ends belong to one resource server.
      properties:
        accessProfileId:
          description: The access profile end of the binding.
          type: string
        appId:
          description: The application that owns the resource server.
          type: string
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
        xaaResourceServerId:
          description: The resource server both ends belong to.
          type: string
        xaaScopeId:
          description: The scope end of the binding.
          type: string
      title: Xaa Access Profile Scope Binding
      type: object
      x-speakeasy-name-override: XAAAccessProfileScopeBinding
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````